com.microfocus.awm.meta.interfaces

## Interface FilterType

- All Superinterfaces:
    AWMIdentifiableObject, AWMObject, org.eclipse.emf.ecore.EObject, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    FilterTypeImpl

      public interface FilterType
      extends AWMIdentifiableObject

  A filter type describes a class of filters. It contains all the information to generate a Filter dialog, through which filters can be created. The element lists can be generated from a filter using the relationships of the FilterType to action descriptors.

  The following features are supported:

  - `Has Filtercriterion`
  - `Has Action`
  - `Label`
  See Also:
    `TaurusPackage.getFilterType()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RFilterAction` | `getDefaultAction()` Returns the default ActionDescriptor for the FilterType.
    `org.eclipse.emf.common.util.EList<RFilterAction>` | `getHasAction()` Returns the value of the 'Has Action' containment reference list.
    `org.eclipse.emf.common.util.EList<RFilterFiltercriterion>` | `getHasFiltercriterion()` Returns the value of the 'Has Filtercriterion' containment reference list.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or the ID if the Label wasn't set.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getHasFiltercriterion

          org.eclipse.emf.common.util.EList<RFilterFiltercriterion> getHasFiltercriterion()

      Returns the value of the 'Has Filtercriterion' containment reference list. The list contents are of type `RFilterFiltercriterion`. Relationship to a property that will be interpreted as a filter criterion.
      Returns:
        the value of the 'Has Filtercriterion' containment reference list.
      See Also:
        `TaurusPackage.getFilterType_HasFiltercriterion()`

    - #### getHasAction

          org.eclipse.emf.common.util.EList<RFilterAction> getHasAction()

      Returns the value of the 'Has Action' containment reference list. The list contents are of type `RFilterAction`. Relationship to an action descriptor, via which an element list can be generated using the filter criteria.
      Returns:
        the value of the 'Has Action' containment reference list.
      See Also:
        `TaurusPackage.getFilterType_HasAction()`

    - #### getDefaultAction

          RFilterAction getDefaultAction()

      Returns the default ActionDescriptor for the FilterType.
      Returns:
        the default ActionDescriptor for the FilterType

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      The label of the filter in the context menu of the Filter view to define a new filter. If not used, the ID will be displayed.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getFilterType_Label()`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Returns the Label or the ID if the Label wasn't set.

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.